.header {
  @include page-container;

  &__menu-box {
    margin: 25px 0;
    display: flex;
    justify-content: flex-end;
  }

  &__menu-list {
    width: 182px;
    display: none;
    background-color: #F5F5F5;

    &--mobile {
      display: block;
      position: absolute;
      top: 62px;
      right: 25px;
      user-select: none;
    }
  }

  &__menu-item {
    padding-left: 12px;
    list-style: none;
    font-size: 11px;
    line-height: 30px;
    text-transform: uppercase;
    letter-spacing: 1.1px;
    color: #4E4E4E;
    cursor: pointer;
  }

  &__menu-item a {
    color: #4E4E4E;
  }

  &__menu-item:hover {
    background-color: #E5E5E5;
  }

  &__image {
    max-width: 100%;
  }
}

.burger-btn {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 44px;
  height: 37px;
  background-color: #000000;

  &__line {
    margin: 2px 0;
    width: 17px;
    height: 2px;
    background-color: white;
    transition: 0.3s all ease-in-out;
  }
}

.burger-btn--toggle {
  & > .burger-btn__line:first-child {
    transform: rotate(45deg) translate(4px, 4px);
    width: 17px;
    height: 2px;
  }

  & > .burger-btn__line:nth-child(2) {
    opacity: 0;
  }

  & > .burger-btn__line:last-child {
    transform: rotate(-45deg) translate(4px, -5px);
    width: 17px;
    height: 2px;
  }
}

@media screen and (min-width: $m-size) {
.header {

  &__menu-box {
    margin: 45px 0;
  }

    &__menu-list {
      display: flex;
      justify-content: center;
      width: 100%;
      background-color: transparent;
    }

    &__menu-item {
      padding: 0 17px;
    }

    &__menu-item:hover {
      background-color: transparent;
    }
}

  .burger-btn {
    display: none;
  }
}